# Uses of Class
org.eclipse.zest.core.widgets.Graph

Packages that use Graph
Package
Description
org.eclipse.zest.core.viewers
org.eclipse.zest.core.widgets

## Uses of Graph in org.eclipse.zest.core.viewers

Fields in org.eclipse.zest.core.viewers declared as Graph
Modifier and Type
Field
Description
`protected Graph`
GraphViewer.`graph`
Methods in org.eclipse.zest.core.viewers that return Graph
Modifier and Type
Method
Description
`Graph`
AbstractStructuredGraphViewer.`getGraphControl()`
`Graph`
GraphViewer.`getGraphControl()`
Methods in org.eclipse.zest.core.viewers with parameters of type Graph
Modifier and Type
Method
Description
`protected GraphConnection`
AbstractStructuredGraphViewer.`createConnectionObject(Graph graphModel, GraphNode source, GraphNode destination)`
Implement and return the new connection object, enables to define custom graph connections
`protected GraphNode`
AbstractStructuredGraphViewer.`createNodeObject(Graph graphModel, org.eclipse.draw2d.IFigure figure)`
Implement and return the new node object, enables to define custom graph nodes
`protected GraphConnection[]`
AbstractStructuredGraphViewer.`getConnectionsArray(Graph graph)`
Converts the list of GraphModelConnection objects into an array and returns it.
`protected GraphNode[]`
AbstractStructuredGraphViewer.`getNodesArray(Graph graph)`
Converts the list of GraphModelNode objects into an array an returns it.
`void`
GraphViewer.`setControl(Graph graphModel)`
Constructors in org.eclipse.zest.core.viewers with parameters of type Graph
Modifier
Constructor
Description
``
`GraphViewer(Graph graph)`
Initializes the viewer.

## Uses of Graph in org.eclipse.zest.core.widgets

Fields in org.eclipse.zest.core.widgets declared as Graph
Modifier and Type
Field
Description
`protected Graph`
GraphNode.`graph`
Methods in org.eclipse.zest.core.widgets that return Graph
Modifier and Type
Method
Description
`Graph`
Graph.`getGraph()`
`Graph`
GraphContainer.`getGraph()`
Gets the graph that this container has been added to.
`Graph`
IContainer.`getGraph()`
`Graph`
Graph.`getGraphModel()`
Deprecated, for removal: This API element is subject to removal in a future version.
`Graph`
GraphConnection.`getGraphModel()`
Gets the graph model that this connection is in
`abstract Graph`
GraphItem.`getGraphModel()`
Gets the graph that this item is rooted on.
`Graph`
GraphNode.`getGraphModel()`
Gets the graphModel that this node is contained in
Methods in org.eclipse.zest.core.widgets with parameters of type Graph
Modifier and Type
Method
Description
`void`
FisheyeListener.`fisheyeAdded(Graph graph, org.eclipse.draw2d.IFigure originalFigure, org.eclipse.draw2d.IFigure fisheyeFigure)`
Called when a fisheye figure is added to an observed graph.
`void`
FisheyeListener.`fisheyeRemoved(Graph graph, org.eclipse.draw2d.IFigure originalFigure, org.eclipse.draw2d.IFigure fisheyeFigure)`
Called when a fisheye figure is removed form an observed graph.
`void`
FisheyeListener.`fisheyeReplaced(Graph graph, org.eclipse.draw2d.IFigure oldFisheyeFigure, org.eclipse.draw2d.IFigure newFisheyeFigure)`
Called when one fisheye figure is replaced by another in an observed graph.
Constructors in org.eclipse.zest.core.widgets with parameters of type Graph
Modifier
Constructor
Description
``
`GraphConnection(Graph graphModel, int style, GraphNode source, GraphNode destination)`